petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESSetFunctionType

Sets the SNESNormSchedule used in covergence and monitoring of the SNES method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetFunctionType(SNES snes, SNESFunctionType type)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| normschedule | - the frequency of norm computation

### Notes

Only certain SNES methods support certain SNESNormSchedules. Most require evaluation of the nonlinear function and the taking of its norm at every iteration to even ensure convergence at all. However, methods such as custom Gauss-Seidel methods (SNESNGS) and the like do not require the norm of the function to be computed, and therfore may either be monitored for convergence or not. As these are often used as nonlinear preconditioners, monitoring the norm of their error is not a useful enterprise within their solution.

### See Also

SNESGetNormSchedule(), SNESComputeFunction(), VecNorm(), SNESSetFunction(), SNESSetInitialFunction(), SNESNormSchedule

### Level

developer

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages